module Apscanner
  class Sensor
    attr_reader :port, :ip_address, :community, :uuid, :access_points
    attr_accessor :type

    def initialize(options = {})
      @port = options[:port]
      @ip_address = options[:ip_address]
      @community = options[:community]
      @uuid = options[:uuid]
      @type = options[:type].to_sym
      @access_points = []
    end

    def scan
      t0 = Time.now
      @access_points = SnmpManager.new(self).run
      Apscanner.logger.info("Scanned #{@access_points.count} APs from " \
                            "#{@ip_address} in #{(Time.now - t0).round(2)}s.")
      self
    end
  end
end
